Refresh the brief's status from Pencil Brief Mode
curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}Recommended Action Brief
Refresh the brief's status from Pencil Brief Mode
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
recommended-actions
/
{result_id}
/
tasks
/
{task_id}
/
brief
/
pencil
/
refresh
Refresh the brief's status from Pencil Brief Mode
curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{task_id}/brief/pencil/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}{
"brief": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"is_user_edited": true,
"status": "not_started",
"pencil_brief_id": "<string>",
"pencil_status": "<string>",
"pencil_url": "<string>",
"pencil_due_date": "2023-11-07T05:31:56Z",
"pencil_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"code": "ALREADY_SENT",
"message": "<string>"
}Authorizations
Path Parameters
Organization identifier
Recommended action result identifier
Task identifier
Workspace identifier
Response
Brief with pencil_status and pencil_synced_at refreshed from Pencil
Brief UUID
Task UUID this brief belongs to
Brief title
Brief body content
True once a user has edited title or body
User-facing status. One of: not_started, in_progress, implemented
not_started- not_startedin_progress- in_progressimplemented- implemented
Available options:
not_started, in_progress, implemented Pencil brief id, set once sent
Pencil brief status, as Pencil returns it
Link to the brief in Pencil
Due date sent to Pencil
Last time the Pencil fields were read from Pencil
Creation timestamp
Last update timestamp
Was this page helpful?
⌘I